import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const AllProvinceDetailsForMap = createAsyncThunk(
  "ALL_PROVINCE_DETAIL_FOR_MAP",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "https://rsibackend.rasadyar.com/app/all_province_detail_for_map/"
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
